# $Revision: 1.9 $, $Date: 2010/07/08 08:31:25 $

%define 	module	pyHnj

Summary:	pyHnj - a Python wrapper for libhnj library
Summary(pl.UTF-8):	pyHnj - pythonowy wrapper dla biblioteki libhnj
Name:		python-%{module}
Version:	0.6
Release:	5
License:	GPL v2
Group:		Libraries/Python
Source0:	http://hkn.eecs.berkeley.edu/~dyoo/python/pyHnj/%{module}-%{version}.tar.gz
# Source0-md5:	1e777539150c5b6a853dce3a10e64398
URL:		http://hkn.eecs.berkeley.edu/~dyoo/python/pyHnj/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyHnj is an extension wrapper for the libhnj hyphenation library.

%description -l pl.UTF-8
pyHnj jest pythonowym wrapperem do biblioteki libhnj.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

python setup.py install \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README.txt
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/pyHnj-*.egg-info
%dir %{_datadir}/pyHnj
%{_datadir}/pyHnj/hyphen.mashed

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyHnj.spec,v $
Revision 1.9  2010/07/08 08:31:25  arekm
- release 5

Revision 1.8  2008/10/03 17:57:24  arekm
- release 4

Revision 1.7  2007-04-05 20:45:21  qboosh
- unified (BRs before Rs)

Revision 1.6  2007/04/05 20:41:58  megabajt
- added missing dir
- packaged *.egg-info
- release 3

Revision 1.5  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.3  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.2  2004/08/30 15:16:14  troll
- removed BR: libhnj-devel
- missing file in %%files
- cosmetics

Revision 1.1  2004/08/28 09:58:54  zboczuch
- initial PLD release
